#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 hslua
version:              2.3.0
visibility:           public
id:                   hslua-2.3.0-8HZjteQRI2bDzj0Gfxg3LR
key:                  hslua-2.3.0-8HZjteQRI2bDzj0Gfxg3LR
license:              MIT
copyright:
    © 2007–2012 Gracjan Polak;
    © 2012–2016 Ömer Sinan Ağacan;
    © 2017-2023 Albert Krewinkel

maintainer:           tarleb@hslua.org
author:               Albert Krewinkel, Gracjan Polak, Ömer Sinan Ağacan
homepage:             https://hslua.org/
synopsis:             Bindings to Lua, an embeddable scripting language
description:
    HsLua provides wrappers and helpers
    to bridge Haskell and <https://www.lua.org/ Lua>.

    It builds upon the /lua/ package, which allows to bundle
    a Lua interpreter with a Haskell program.

    Example programs are can be found in the @hslua-examples@
    subdir of the project
    <https://github.com/hslua/hslua repository>.

category:             Foreign
abi:                  6c53b0e7883aa081a07538ac2cb8e615
exposed:              True
exposed-modules:
    HsLua,
    HsLua.Aeson from hslua-aeson-2.3.0.1-1pKdWH62IIDDdGF1bpSy3:HsLua.Aeson,
    HsLua.Class.Exposable from hslua-classes-2.3.0-7FgG8wAvmbUJ4UnRG2Z7de:HsLua.Class.Exposable,
    HsLua.Class.Invokable from hslua-classes-2.3.0-7FgG8wAvmbUJ4UnRG2Z7de:HsLua.Class.Invokable,
    HsLua.Class.Peekable from hslua-classes-2.3.0-7FgG8wAvmbUJ4UnRG2Z7de:HsLua.Class.Peekable,
    HsLua.Class.Pushable from hslua-classes-2.3.0-7FgG8wAvmbUJ4UnRG2Z7de:HsLua.Class.Pushable,
    HsLua.Class.Util from hslua-classes-2.3.0-7FgG8wAvmbUJ4UnRG2Z7de:HsLua.Class.Util,
    HsLua.Core from hslua-core-2.3.1-4gKfST45i9TJOmHmi15rSI:HsLua.Core,
    HsLua.Core.Error from hslua-core-2.3.1-4gKfST45i9TJOmHmi15rSI:HsLua.Core.Error,
    HsLua.Core.Types from hslua-core-2.3.1-4gKfST45i9TJOmHmi15rSI:HsLua.Core.Types,
    HsLua.Core.Utf8 from hslua-core-2.3.1-4gKfST45i9TJOmHmi15rSI:HsLua.Core.Utf8,
    HsLua.Marshalling from hslua-marshalling-2.3.1-LkC7MnhPgab3ltCm6zOIZE:HsLua.Marshalling,
    HsLua.ObjectOrientation from hslua-objectorientation-2.3.0-Xjztb6iW3FJpZRhiEiEti:HsLua.ObjectOrientation,
    HsLua.Packaging from hslua-packaging-2.3.1-6IwDYrsqs095biS79V5j5n:HsLua.Packaging,
    HsLua.Packaging.Function from hslua-packaging-2.3.1-6IwDYrsqs095biS79V5j5n:HsLua.Packaging.Function,
    HsLua.Packaging.Module from hslua-packaging-2.3.1-6IwDYrsqs095biS79V5j5n:HsLua.Packaging.Module,
    HsLua.Packaging.Rendering from hslua-packaging-2.3.1-6IwDYrsqs095biS79V5j5n:HsLua.Packaging.Rendering,
    HsLua.Typing from hslua-typing-0.1.1-8G7tknUJjkS3kS1pdC7Cf8:HsLua.Typing,
    HsLua.Util

import-dirs:          /usr/lib/ghc-9.2.8/site-local/hslua-2.3.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/hslua-2.3.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hslua
hs-libraries:         HShslua-2.3.0-8HZjteQRI2bDzj0Gfxg3LR
depends:
    base-4.16.4.0 bytestring-0.11.4.0 containers-0.6.5.1
    exceptions-0.10.4 hslua-aeson-2.3.0.1-1pKdWH62IIDDdGF1bpSy3
    hslua-classes-2.3.0-7FgG8wAvmbUJ4UnRG2Z7de
    hslua-core-2.3.1-4gKfST45i9TJOmHmi15rSI
    hslua-marshalling-2.3.1-LkC7MnhPgab3ltCm6zOIZE
    hslua-objectorientation-2.3.0-Xjztb6iW3FJpZRhiEiEti
    hslua-packaging-2.3.1-6IwDYrsqs095biS79V5j5n
    hslua-typing-0.1.1-8G7tknUJjkS3kS1pdC7Cf8 mtl-2.2.2 text-1.2.5.0

haddock-interfaces:   /usr/share/doc/haskell-hslua/html/hslua.haddock
haddock-html:         /usr/share/doc/haskell-hslua/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

